summaryrefslogtreecommitdiffstats
path: root/source/x/wqy-zenhei-font-ttf
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/x/wqy-zenhei-font-ttf
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/x/wqy-zenhei-font-ttf')
-rw-r--r--source/x/wqy-zenhei-font-ttf/slack-desc19
-rwxr-xr-xsource/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild123
2 files changed, 142 insertions, 0 deletions
diff --git a/source/x/wqy-zenhei-font-ttf/slack-desc b/source/x/wqy-zenhei-font-ttf/slack-desc
new file mode 100644
index 000000000..cf1f04923
--- /dev/null
+++ b/source/x/wqy-zenhei-font-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wqy-zenhei-font-ttf: wqy-zenhei-font-ttf (Wen Quan Yi Zen Hei CJK Font)
+wqy-zenhei-font-ttf:
+wqy-zenhei-font-ttf: The WenQuanYi Zen Hei font is a Chinese (or CJK) outline font with
+wqy-zenhei-font-ttf: Hei Ti style (a sans-serif style) Hanzi glyphs. This font is
+wqy-zenhei-font-ttf: developed for general purpose use of Chinese for formating, printing
+wqy-zenhei-font-ttf: and on-screen display. This font is also targeted at platform
+wqy-zenhei-font-ttf: independence and the utility for document exchange between various
+wqy-zenhei-font-ttf: operating systems.
+wqy-zenhei-font-ttf:
+wqy-zenhei-font-ttf: wqy-zenhei-font-ttf home: http://wqy.sourceforge.net/en/
+wqy-zenhei-font-ttf:
diff --git a/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild b/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
new file mode 100755
index 000000000..b9fb149da
--- /dev/null
+++ b/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: wqy-zenhei-font-ttf
+# Descr: Wen Quan Yi Zen Hei CJK Font
+# URL: http://wqy.sourceforge.net/en/
+#
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=wqy-zenhei-font-ttf
+SRCNAM=wqy-zenhei
+VERSION=${VERSION:-0.8.38}
+SUB=${SUB:-1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+SOURCE="$CWD/${SRCNAM}-${VERSION}-${SUB}.tar.bz2"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Font directory location depends on the X build prefix:
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=$(pkg-config --variable=prefix x11)
+if [ "$XPREF" = "" ]; then
+ XPREF='/usr/X11R6'
+ FONTDIR="$XPREF/lib/X11/fonts/TTF"
+else
+ FONTDIR="/usr/share/fonts/TTF"
+fi
+mkdir -p $PKG$FONTDIR
+
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+tar -xvf ${SOURCE} || exit 1
+mv ${SRCNAM} ${PRGNAM}-${VERSION} || exit 1
+cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install font:
+cp *.ttf *.ttc $PKG$FONTDIR/
+
+# Add the fontconfig file and symlink.
+mkdir -p $PKG/etc/fonts/conf.{d,avail}
+cp 44-wqy-zenhei.conf $PKG/etc/fonts/conf.avail/
+( cd $PKG/etc/fonts/conf.d && \
+ ln -sf ../conf.avail/44-wqy-zenhei.conf
+)
+# Two more fontconfig files which we do not activate by default:
+cp 66-wqy-zenhei-sharp.conf 66-wqy-zenhei-sharp-no13px.conf \
+ $PKG/etc/fonts/conf.avail/
+
+# Add a shell script that can set the Zen Hei default display styles:
+mkdir -p $PKG/usr/sbin
+install -m755 zenheiset $PKG/usr/sbin/zenheiset
+
+# Post-install script:
+mkdir -p $PKG/install
+cat << EOT > $PKG/install/doinst.sh
+# There's no need to chroot and do this during initial
+# install, since there is a post-install script that
+# does the same thing, saving time.
+# Update X font indexes and the font cache:
+if [ -x /usr/bin/mkfontdir ]; then
+ /usr/bin/mkfontscale $FONTDIR
+ /usr/bin/mkfontdir $FONTDIR
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache $FONTDIR
+fi
+EOT
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}_${SUB}-${ARCH}-${BUILD}.txz
+